Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5158)
@@ -1,78 +1,75 @@
-
 ! $Id: mod_1D_cases_read.F90 2373 2015-10-13 17:28:01Z jyg $
 
 MODULE mod_1D_cases_read2
-  USE netcdf, ONLY: nf90_get_var,nf90_noerr,nf90_inq_varid,nf90_inquire_dimension,nf90_strerror,nf90_open,&
-          nf90_nowrite,nf90_inq_dimid
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_inq_varid, nf90_inquire_dimension, nf90_strerror, nf90_open, &
+          nf90_nowrite, nf90_inq_dimid
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   !Declarations specifiques au cas standard
   CHARACTER*80 :: fich_cas
-  ! Discr?tisation 
+  ! Discr?tisation
   INTEGER nlev_cas, nt_cas
 
 
   !profils environnementaux
-  REAL, ALLOCATABLE::  plev_cas(:,:),plevh_cas(:)
-  REAL, ALLOCATABLE::  ap_cas(:),bp_cas(:)
-
-  REAL, ALLOCATABLE::  z_cas(:,:),zh_cas(:)
-  REAL, ALLOCATABLE::  t_cas(:,:),q_cas(:,:),qv_cas(:,:),ql_cas(:,:),qi_cas(:,:),rh_cas(:,:)
-  REAL, ALLOCATABLE::  th_cas(:,:),thv_cas(:,:),thl_cas(:,:),rv_cas(:,:)
-  REAL, ALLOCATABLE::  u_cas(:,:),v_cas(:,:),vitw_cas(:,:),omega_cas(:,:)
+  REAL, ALLOCATABLE :: plev_cas(:, :), plevh_cas(:)
+  REAL, ALLOCATABLE :: ap_cas(:), bp_cas(:)
+
+  REAL, ALLOCATABLE :: z_cas(:, :), zh_cas(:)
+  REAL, ALLOCATABLE :: t_cas(:, :), q_cas(:, :), qv_cas(:, :), ql_cas(:, :), qi_cas(:, :), rh_cas(:, :)
+  REAL, ALLOCATABLE :: th_cas(:, :), thv_cas(:, :), thl_cas(:, :), rv_cas(:, :)
+  REAL, ALLOCATABLE :: u_cas(:, :), v_cas(:, :), vitw_cas(:, :), omega_cas(:, :)
 
   !forcing
-  REAL, ALLOCATABLE::  ht_cas(:,:),vt_cas(:,:),dt_cas(:,:),dtrad_cas(:,:)
-  REAL, ALLOCATABLE::  hth_cas(:,:),vth_cas(:,:),dth_cas(:,:)
-  REAL, ALLOCATABLE::  hq_cas(:,:),vq_cas(:,:),dq_cas(:,:)
-  REAL, ALLOCATABLE::  hr_cas(:,:),vr_cas(:,:),dr_cas(:,:)
-  REAL, ALLOCATABLE::  hu_cas(:,:),vu_cas(:,:),du_cas(:,:)
-  REAL, ALLOCATABLE::  hv_cas(:,:),vv_cas(:,:),dv_cas(:,:)
-  REAL, ALLOCATABLE::  ug_cas(:,:),vg_cas(:,:)
-  REAL, ALLOCATABLE::  lat_cas(:),sens_cas(:),ts_cas(:),ps_cas(:),ustar_cas(:)
-  REAL, ALLOCATABLE::  uw_cas(:,:),vw_cas(:,:),q1_cas(:,:),q2_cas(:,:),tke_cas(:)
+  REAL, ALLOCATABLE :: ht_cas(:, :), vt_cas(:, :), dt_cas(:, :), dtrad_cas(:, :)
+  REAL, ALLOCATABLE :: hth_cas(:, :), vth_cas(:, :), dth_cas(:, :)
+  REAL, ALLOCATABLE :: hq_cas(:, :), vq_cas(:, :), dq_cas(:, :)
+  REAL, ALLOCATABLE :: hr_cas(:, :), vr_cas(:, :), dr_cas(:, :)
+  REAL, ALLOCATABLE :: hu_cas(:, :), vu_cas(:, :), du_cas(:, :)
+  REAL, ALLOCATABLE :: hv_cas(:, :), vv_cas(:, :), dv_cas(:, :)
+  REAL, ALLOCATABLE :: ug_cas(:, :), vg_cas(:, :)
+  REAL, ALLOCATABLE :: lat_cas(:), sens_cas(:), ts_cas(:), ps_cas(:), ustar_cas(:)
+  REAL, ALLOCATABLE :: uw_cas(:, :), vw_cas(:, :), q1_cas(:, :), q2_cas(:, :), tke_cas(:)
 
   !champs interpoles
-  REAL, ALLOCATABLE::  plev_prof_cas(:)
-  REAL, ALLOCATABLE::  t_prof_cas(:)
-  REAL, ALLOCATABLE::  theta_prof_cas(:)
-  REAL, ALLOCATABLE::  thl_prof_cas(:)
-  REAL, ALLOCATABLE::  thv_prof_cas(:)
-  REAL, ALLOCATABLE::  q_prof_cas(:)
-  REAL, ALLOCATABLE::  qv_prof_cas(:)
-  REAL, ALLOCATABLE::  ql_prof_cas(:)
-  REAL, ALLOCATABLE::  qi_prof_cas(:)
-  REAL, ALLOCATABLE::  rh_prof_cas(:)
-  REAL, ALLOCATABLE::  rv_prof_cas(:)
-  REAL, ALLOCATABLE::  u_prof_cas(:)
-  REAL, ALLOCATABLE::  v_prof_cas(:)
-  REAL, ALLOCATABLE::  vitw_prof_cas(:)
-  REAL, ALLOCATABLE::  omega_prof_cas(:)
-  REAL, ALLOCATABLE::  ug_prof_cas(:)
-  REAL, ALLOCATABLE::  vg_prof_cas(:)
-  REAL, ALLOCATABLE::  ht_prof_cas(:)
-  REAL, ALLOCATABLE::  hth_prof_cas(:)
-  REAL, ALLOCATABLE::  hq_prof_cas(:)
-  REAL, ALLOCATABLE::  vt_prof_cas(:)
-  REAL, ALLOCATABLE::  vth_prof_cas(:)
-  REAL, ALLOCATABLE::  vq_prof_cas(:)
-  REAL, ALLOCATABLE::  dt_prof_cas(:)
-  REAL, ALLOCATABLE::  dth_prof_cas(:)
-  REAL, ALLOCATABLE::  dtrad_prof_cas(:)
-  REAL, ALLOCATABLE::  dq_prof_cas(:)
-  REAL, ALLOCATABLE::  hu_prof_cas(:)
-  REAL, ALLOCATABLE::  hv_prof_cas(:)
-  REAL, ALLOCATABLE::  vu_prof_cas(:)
-  REAL, ALLOCATABLE::  vv_prof_cas(:)
-  REAL, ALLOCATABLE::  du_prof_cas(:)
-  REAL, ALLOCATABLE::  dv_prof_cas(:)
-  REAL, ALLOCATABLE::  uw_prof_cas(:)
-  REAL, ALLOCATABLE::  vw_prof_cas(:)
-  REAL, ALLOCATABLE::  q1_prof_cas(:)
-  REAL, ALLOCATABLE::  q2_prof_cas(:)
-
-
-  REAL lat_prof_cas,sens_prof_cas,ts_prof_cas,ps_prof_cas,ustar_prof_cas,tke_prof_cas
-  REAL o3_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough,rugos_cas,sand_cas,clay_cas
-
+  REAL, ALLOCATABLE :: plev_prof_cas(:)
+  REAL, ALLOCATABLE :: t_prof_cas(:)
+  REAL, ALLOCATABLE :: theta_prof_cas(:)
+  REAL, ALLOCATABLE :: thl_prof_cas(:)
+  REAL, ALLOCATABLE :: thv_prof_cas(:)
+  REAL, ALLOCATABLE :: q_prof_cas(:)
+  REAL, ALLOCATABLE :: qv_prof_cas(:)
+  REAL, ALLOCATABLE :: ql_prof_cas(:)
+  REAL, ALLOCATABLE :: qi_prof_cas(:)
+  REAL, ALLOCATABLE :: rh_prof_cas(:)
+  REAL, ALLOCATABLE :: rv_prof_cas(:)
+  REAL, ALLOCATABLE :: u_prof_cas(:)
+  REAL, ALLOCATABLE :: v_prof_cas(:)
+  REAL, ALLOCATABLE :: vitw_prof_cas(:)
+  REAL, ALLOCATABLE :: omega_prof_cas(:)
+  REAL, ALLOCATABLE :: ug_prof_cas(:)
+  REAL, ALLOCATABLE :: vg_prof_cas(:)
+  REAL, ALLOCATABLE :: ht_prof_cas(:)
+  REAL, ALLOCATABLE :: hth_prof_cas(:)
+  REAL, ALLOCATABLE :: hq_prof_cas(:)
+  REAL, ALLOCATABLE :: vt_prof_cas(:)
+  REAL, ALLOCATABLE :: vth_prof_cas(:)
+  REAL, ALLOCATABLE :: vq_prof_cas(:)
+  REAL, ALLOCATABLE :: dt_prof_cas(:)
+  REAL, ALLOCATABLE :: dth_prof_cas(:)
+  REAL, ALLOCATABLE :: dtrad_prof_cas(:)
+  REAL, ALLOCATABLE :: dq_prof_cas(:)
+  REAL, ALLOCATABLE :: hu_prof_cas(:)
+  REAL, ALLOCATABLE :: hv_prof_cas(:)
+  REAL, ALLOCATABLE :: vu_prof_cas(:)
+  REAL, ALLOCATABLE :: vv_prof_cas(:)
+  REAL, ALLOCATABLE :: du_prof_cas(:)
+  REAL, ALLOCATABLE :: dv_prof_cas(:)
+  REAL, ALLOCATABLE :: uw_prof_cas(:)
+  REAL, ALLOCATABLE :: vw_prof_cas(:)
+  REAL, ALLOCATABLE :: q1_prof_cas(:)
+  REAL, ALLOCATABLE :: q2_prof_cas(:)
+
+  REAL lat_prof_cas, sens_prof_cas, ts_prof_cas, ps_prof_cas, ustar_prof_cas, tke_prof_cas
+  REAL o3_cas, orog_cas, albedo_cas, emiss_cas, t_skin_cas, q_skin_cas, mom_rough, heat_rough, rugos_cas, sand_cas, clay_cas
 
 
@@ -82,68 +79,68 @@
     IMPLICIT NONE
 
-    INTEGER nid,rid,ierr
-    INTEGER ii,jj
-
-    fich_cas='setup/cas.nc'
-    PRINT*,'fich_cas ',fich_cas
-    ierr = nf90_open(fich_cas,nf90_nowrite,nid)
-    PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    INTEGER nid, rid, ierr
+    INTEGER ii, jj
+
+    fich_cas = 'setup/cas.nc'
+    PRINT*, 'fich_cas ', fich_cas
+    ierr = nf90_open(fich_cas, nf90_nowrite, nid)
+    PRINT*, 'fich_cas,nf90_nowrite,nid ', fich_cas, nf90_nowrite, nid
     IF (ierr/=nf90_noerr) THEN
-       WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       WRITE(*,*) nf90_strerror(ierr)
-       stop ""
+      WRITE(*, *) 'ERROR: GROS Pb opening forcings nc file '
+      WRITE(*, *) nf90_strerror(ierr)
+      stop ""
     endif
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lat',rid)
+    ierr = nf90_inq_dimid(nid, 'lat', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension lat'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=ii)
-    PRINT*,'OK1 nid,rid,lat',nid,rid,ii
+      PRINT*, 'Oh probleme lecture dimension lat'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = ii)
+    PRINT*, 'OK1 nid,rid,lat', nid, rid, ii
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lon',rid)
+    ierr = nf90_inq_dimid(nid, 'lon', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension lon'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=jj)
-    PRINT*,'OK2 nid,rid,lat',nid,rid,jj
+      PRINT*, 'Oh probleme lecture dimension lon'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = jj)
+    PRINT*, 'OK2 nid,rid,lat', nid, rid, jj
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lev',rid)
+    ierr = nf90_inq_dimid(nid, 'lev', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension zz'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
-    PRINT*,'OK3 nid,rid,nlev_cas',nid,rid,nlev_cas
+      PRINT*, 'Oh probleme lecture dimension zz'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = nlev_cas)
+    PRINT*, 'OK3 nid,rid,nlev_cas', nid, rid, nlev_cas
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'time',rid)
-    PRINT*,'nid,rid',nid,rid
-    nt_cas=0
+    ierr = nf90_inq_dimid(nid, 'time', rid)
+    PRINT*, 'nid,rid', nid, rid
+    nt_cas = 0
     IF (ierr/=nf90_noerr) THEN
-       stop 'probleme lecture dimension sens'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
-    PRINT*,'OK4 nid,rid,nt_cas',nid,rid,nt_cas
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      stop 'probleme lecture dimension sens'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = nt_cas)
+    PRINT*, 'OK4 nid,rid,nt_cas', nid, rid, nt_cas
+
+    !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     !profils moyens:
-    allocate(plev_cas(nlev_cas,nt_cas))        
-    allocate(z_cas(nlev_cas,nt_cas))
-    allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
-    allocate(th_cas(nlev_cas,nt_cas),rv_cas(nlev_cas,nt_cas))
-    allocate(u_cas(nlev_cas,nt_cas))
-    allocate(v_cas(nlev_cas,nt_cas))
+    allocate(plev_cas(nlev_cas, nt_cas))
+    allocate(z_cas(nlev_cas, nt_cas))
+    allocate(t_cas(nlev_cas, nt_cas), q_cas(nlev_cas, nt_cas), rh_cas(nlev_cas, nt_cas))
+    allocate(th_cas(nlev_cas, nt_cas), rv_cas(nlev_cas, nt_cas))
+    allocate(u_cas(nlev_cas, nt_cas))
+    allocate(v_cas(nlev_cas, nt_cas))
 
     !forcing
-    allocate(ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas),dt_cas(nlev_cas,nt_cas),dtrad_cas(nlev_cas,nt_cas))
-    allocate(hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas),dq_cas(nlev_cas,nt_cas))
-    allocate(hth_cas(nlev_cas,nt_cas),vth_cas(nlev_cas,nt_cas),dth_cas(nlev_cas,nt_cas))
-    allocate(hr_cas(nlev_cas,nt_cas),vr_cas(nlev_cas,nt_cas),dr_cas(nlev_cas,nt_cas))
-    allocate(hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas),du_cas(nlev_cas,nt_cas))
-    allocate(hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas),dv_cas(nlev_cas,nt_cas))
-    allocate(vitw_cas(nlev_cas,nt_cas))
-    allocate(ug_cas(nlev_cas,nt_cas))
-    allocate(vg_cas(nlev_cas,nt_cas))
-    allocate(lat_cas(nt_cas),sens_cas(nt_cas),ts_cas(nt_cas),ps_cas(nt_cas),ustar_cas(nt_cas))
-    allocate(uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas),q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas))
+    allocate(ht_cas(nlev_cas, nt_cas), vt_cas(nlev_cas, nt_cas), dt_cas(nlev_cas, nt_cas), dtrad_cas(nlev_cas, nt_cas))
+    allocate(hq_cas(nlev_cas, nt_cas), vq_cas(nlev_cas, nt_cas), dq_cas(nlev_cas, nt_cas))
+    allocate(hth_cas(nlev_cas, nt_cas), vth_cas(nlev_cas, nt_cas), dth_cas(nlev_cas, nt_cas))
+    allocate(hr_cas(nlev_cas, nt_cas), vr_cas(nlev_cas, nt_cas), dr_cas(nlev_cas, nt_cas))
+    allocate(hu_cas(nlev_cas, nt_cas), vu_cas(nlev_cas, nt_cas), du_cas(nlev_cas, nt_cas))
+    allocate(hv_cas(nlev_cas, nt_cas), vv_cas(nlev_cas, nt_cas), dv_cas(nlev_cas, nt_cas))
+    allocate(vitw_cas(nlev_cas, nt_cas))
+    allocate(ug_cas(nlev_cas, nt_cas))
+    allocate(vg_cas(nlev_cas, nt_cas))
+    allocate(lat_cas(nt_cas), sens_cas(nt_cas), ts_cas(nt_cas), ps_cas(nt_cas), ustar_cas(nt_cas))
+    allocate(uw_cas(nlev_cas, nt_cas), vw_cas(nlev_cas, nt_cas), q1_cas(nlev_cas, nt_cas), q2_cas(nlev_cas, nt_cas))
 
 
@@ -176,13 +173,12 @@
     allocate(q2_prof_cas(nlev_cas))
 
-    PRINT*,'Allocations OK'
-    CALL read_cas2(nid,nlev_cas,nt_cas                                       &
-         ,z_cas,plev_cas,t_cas,q_cas,rh_cas,th_cas,rv_cas,u_cas,v_cas         &
-         ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas,dv_cas,hv_cas,vv_cas    &
-         ,dt_cas,dtrad_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas                 &
-         ,dth_cas,hth_cas,vth_cas,dr_cas,hr_cas,vr_cas,sens_cas,lat_cas,ts_cas&
-         ,ustar_cas,uw_cas,vw_cas,q1_cas,q2_cas)
-    PRINT*,'Read cas OK'
-
+    PRINT*, 'Allocations OK'
+    CALL read_cas2(nid, nlev_cas, nt_cas                                       &
+            , z_cas, plev_cas, t_cas, q_cas, rh_cas, th_cas, rv_cas, u_cas, v_cas         &
+            , ug_cas, vg_cas, vitw_cas, du_cas, hu_cas, vu_cas, dv_cas, hv_cas, vv_cas    &
+            , dt_cas, dtrad_cas, ht_cas, vt_cas, dq_cas, hq_cas, vq_cas                 &
+            , dth_cas, hth_cas, vth_cas, dr_cas, hr_cas, vr_cas, sens_cas, lat_cas, ts_cas&
+            , ustar_cas, uw_cas, vw_cas, q1_cas, q2_cas)
+    PRINT*, 'Read cas OK'
 
   END SUBROUTINE read_1D_cas
@@ -191,67 +187,67 @@
     IMPLICIT NONE
 
-    INTEGER nid,rid,ierr
-    INTEGER ii,jj
-
-    fich_cas='setup/cas.nc'
-    PRINT*,'fich_cas ',fich_cas
-    ierr = nf90_open(fich_cas,nf90_nowrite,nid)
-    PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    INTEGER nid, rid, ierr
+    INTEGER ii, jj
+
+    fich_cas = 'setup/cas.nc'
+    PRINT*, 'fich_cas ', fich_cas
+    ierr = nf90_open(fich_cas, nf90_nowrite, nid)
+    PRINT*, 'fich_cas,nf90_nowrite,nid ', fich_cas, nf90_nowrite, nid
     IF (ierr/=nf90_noerr) THEN
-       WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       WRITE(*,*) nf90_strerror(ierr)
-       stop ""
+      WRITE(*, *) 'ERROR: GROS Pb opening forcings nc file '
+      WRITE(*, *) nf90_strerror(ierr)
+      stop ""
     endif
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lat',rid)
+    ierr = nf90_inq_dimid(nid, 'lat', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension lat'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=ii)
-    PRINT*,'OK1 read2: nid,rid,lat',nid,rid,ii
+      PRINT*, 'Oh probleme lecture dimension lat'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = ii)
+    PRINT*, 'OK1 read2: nid,rid,lat', nid, rid, ii
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lon',rid)
+    ierr = nf90_inq_dimid(nid, 'lon', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension lon'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=jj)
-    PRINT*,'OK2 read2: nid,rid,lat',nid,rid,jj
+      PRINT*, 'Oh probleme lecture dimension lon'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = jj)
+    PRINT*, 'OK2 read2: nid,rid,lat', nid, rid, jj
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'nlev',rid)
+    ierr = nf90_inq_dimid(nid, 'nlev', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension nlev'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
-    PRINT*,'OK3 read2: nid,rid,nlev_cas',nid,rid,nlev_cas
+      PRINT*, 'Oh probleme lecture dimension nlev'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = nlev_cas)
+    PRINT*, 'OK3 read2: nid,rid,nlev_cas', nid, rid, nlev_cas
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'time',rid)
-    nt_cas=0
+    ierr = nf90_inq_dimid(nid, 'time', rid)
+    nt_cas = 0
     IF (ierr/=nf90_noerr) THEN
-       stop 'Oh probleme lecture dimension time'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
-    PRINT*,'OK4 read2: nid,rid,nt_cas',nid,rid,nt_cas
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      stop 'Oh probleme lecture dimension time'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = nt_cas)
+    PRINT*, 'OK4 read2: nid,rid,nt_cas', nid, rid, nt_cas
+
+    !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     !profils moyens:
-    allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
-    allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
-    allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
-         qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
-    allocate(th_cas(nlev_cas,nt_cas),thl_cas(nlev_cas,nt_cas),thv_cas(nlev_cas,nt_cas),rv_cas(nlev_cas,nt_cas))
-    allocate(u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas),vitw_cas(nlev_cas,nt_cas),omega_cas(nlev_cas,nt_cas))
+    allocate(plev_cas(nlev_cas, nt_cas), plevh_cas(nlev_cas + 1))
+    allocate(z_cas(nlev_cas, nt_cas), zh_cas(nlev_cas + 1))
+    allocate(ap_cas(nlev_cas + 1), bp_cas(nlev_cas + 1))
+    allocate(t_cas(nlev_cas, nt_cas), q_cas(nlev_cas, nt_cas), qv_cas(nlev_cas, nt_cas), ql_cas(nlev_cas, nt_cas), &
+            qi_cas(nlev_cas, nt_cas), rh_cas(nlev_cas, nt_cas))
+    allocate(th_cas(nlev_cas, nt_cas), thl_cas(nlev_cas, nt_cas), thv_cas(nlev_cas, nt_cas), rv_cas(nlev_cas, nt_cas))
+    allocate(u_cas(nlev_cas, nt_cas), v_cas(nlev_cas, nt_cas), vitw_cas(nlev_cas, nt_cas), omega_cas(nlev_cas, nt_cas))
 
     !forcing
-    allocate(ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas),dt_cas(nlev_cas,nt_cas),dtrad_cas(nlev_cas,nt_cas))
-    allocate(hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas),dq_cas(nlev_cas,nt_cas))
-    allocate(hth_cas(nlev_cas,nt_cas),vth_cas(nlev_cas,nt_cas),dth_cas(nlev_cas,nt_cas))
-    allocate(hr_cas(nlev_cas,nt_cas),vr_cas(nlev_cas,nt_cas),dr_cas(nlev_cas,nt_cas))
-    allocate(hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas),du_cas(nlev_cas,nt_cas))
-    allocate(hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas),dv_cas(nlev_cas,nt_cas))
-    allocate(ug_cas(nlev_cas,nt_cas))
-    allocate(vg_cas(nlev_cas,nt_cas))
-    allocate(lat_cas(nt_cas),sens_cas(nt_cas),ts_cas(nt_cas),ps_cas(nt_cas),ustar_cas(nt_cas),tke_cas(nt_cas))
-    allocate(uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas),q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas))
+    allocate(ht_cas(nlev_cas, nt_cas), vt_cas(nlev_cas, nt_cas), dt_cas(nlev_cas, nt_cas), dtrad_cas(nlev_cas, nt_cas))
+    allocate(hq_cas(nlev_cas, nt_cas), vq_cas(nlev_cas, nt_cas), dq_cas(nlev_cas, nt_cas))
+    allocate(hth_cas(nlev_cas, nt_cas), vth_cas(nlev_cas, nt_cas), dth_cas(nlev_cas, nt_cas))
+    allocate(hr_cas(nlev_cas, nt_cas), vr_cas(nlev_cas, nt_cas), dr_cas(nlev_cas, nt_cas))
+    allocate(hu_cas(nlev_cas, nt_cas), vu_cas(nlev_cas, nt_cas), du_cas(nlev_cas, nt_cas))
+    allocate(hv_cas(nlev_cas, nt_cas), vv_cas(nlev_cas, nt_cas), dv_cas(nlev_cas, nt_cas))
+    allocate(ug_cas(nlev_cas, nt_cas))
+    allocate(vg_cas(nlev_cas, nt_cas))
+    allocate(lat_cas(nt_cas), sens_cas(nt_cas), ts_cas(nt_cas), ps_cas(nt_cas), ustar_cas(nt_cas), tke_cas(nt_cas))
+    allocate(uw_cas(nlev_cas, nt_cas), vw_cas(nlev_cas, nt_cas), q1_cas(nlev_cas, nt_cas), q2_cas(nlev_cas, nt_cas))
 
 
@@ -296,17 +292,16 @@
     allocate(q2_prof_cas(nlev_cas))
 
-    PRINT*,'Allocations OK'
-    CALL read2_cas (nid,nlev_cas,nt_cas,                                                                     &
-         ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                    &
-         ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,ug_cas,vg_cas,du_cas,hu_cas,vu_cas,        &
-         dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,               &
-         dr_cas,hr_cas,vr_cas,dtrad_cas,sens_cas,lat_cas,ts_cas,ps_cas,ustar_cas,tke_cas,                      &
-         uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough, &
-         o3_cas,rugos_cas,clay_cas,sand_cas)
-    PRINT*,'Read2 cas OK'
-    do ii=1,nlev_cas
-       PRINT*,'apres read2_cas, plev_cas=',ii,plev_cas(ii,1)
+    PRINT*, 'Allocations OK'
+    CALL read2_cas (nid, nlev_cas, nt_cas, &
+            ap_cas, bp_cas, z_cas, plev_cas, zh_cas, plevh_cas, t_cas, th_cas, thv_cas, thl_cas, qv_cas, &
+            ql_cas, qi_cas, rh_cas, rv_cas, u_cas, v_cas, vitw_cas, omega_cas, ug_cas, vg_cas, du_cas, hu_cas, vu_cas, &
+            dv_cas, hv_cas, vv_cas, dt_cas, ht_cas, vt_cas, dq_cas, hq_cas, vq_cas, dth_cas, hth_cas, vth_cas, &
+            dr_cas, hr_cas, vr_cas, dtrad_cas, sens_cas, lat_cas, ts_cas, ps_cas, ustar_cas, tke_cas, &
+            uw_cas, vw_cas, q1_cas, q2_cas, orog_cas, albedo_cas, emiss_cas, t_skin_cas, q_skin_cas, mom_rough, heat_rough, &
+            o3_cas, rugos_cas, clay_cas, sand_cas)
+    PRINT*, 'Read2 cas OK'
+    DO ii = 1, nlev_cas
+      PRINT*, 'apres read2_cas, plev_cas=', ii, plev_cas(ii, 1)
     enddo
-
 
   END SUBROUTINE read2_1D_cas
@@ -314,95 +309,95 @@
   !**********************************************************************************************
   SUBROUTINE old_read_SCM_cas
+    USE lmdz_date_cas, ONLY: year_ini_cas, mth_ini_cas, day_deb, heure_ini_cas, pdt_cas, day_ju_ini_cas
+
     IMPLICIT NONE
 
-    INCLUDE "date_cas.h"
-
-    INTEGER nid,rid,ierr
-    INTEGER ii,jj,timeid
+    INTEGER nid, rid, ierr
+    INTEGER ii, jj, timeid
     REAL, ALLOCATABLE :: time_val(:)
 
-    fich_cas='cas.nc'
-    PRINT*,'fich_cas ',fich_cas
-    ierr = nf90_open(fich_cas,nf90_nowrite,nid)
-    PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    fich_cas = 'cas.nc'
+    PRINT*, 'fich_cas ', fich_cas
+    ierr = nf90_open(fich_cas, nf90_nowrite, nid)
+    PRINT*, 'fich_cas,nf90_nowrite,nid ', fich_cas, nf90_nowrite, nid
     IF (ierr/=nf90_noerr) THEN
-       WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       WRITE(*,*) nf90_strerror(ierr)
-       stop ""
+      WRITE(*, *) 'ERROR: GROS Pb opening forcings nc file '
+      WRITE(*, *) nf90_strerror(ierr)
+      stop ""
     endif
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lat',rid)
+    ierr = nf90_inq_dimid(nid, 'lat', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension lat'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=ii)
-    PRINT*,'OK1 read2: nid,rid,lat',nid,rid,ii
+      PRINT*, 'Oh probleme lecture dimension lat'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = ii)
+    PRINT*, 'OK1 read2: nid,rid,lat', nid, rid, ii
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lon',rid)
+    ierr = nf90_inq_dimid(nid, 'lon', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension lon'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=jj)
-    PRINT*,'OK2 read2: nid,rid,lat',nid,rid,jj
+      PRINT*, 'Oh probleme lecture dimension lon'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = jj)
+    PRINT*, 'OK2 read2: nid,rid,lat', nid, rid, jj
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lev',rid)
+    ierr = nf90_inq_dimid(nid, 'lev', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension nlev'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
-    PRINT*,'OK3 read2: nid,rid,nlev_cas',nid,rid,nlev_cas
-    IF ( .NOT. ( nlev_cas > 10 .AND. nlev_cas < 1000 )) THEN
-       PRINT*,'Valeur de nlev_cas peu probable'
-       STOP
+      PRINT*, 'Oh probleme lecture dimension nlev'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = nlev_cas)
+    PRINT*, 'OK3 read2: nid,rid,nlev_cas', nid, rid, nlev_cas
+    IF (.NOT. (nlev_cas > 10 .AND. nlev_cas < 1000)) THEN
+      PRINT*, 'Valeur de nlev_cas peu probable'
+      STOP
     ENDIF
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'time',rid)
-    nt_cas=0
+    ierr = nf90_inq_dimid(nid, 'time', rid)
+    nt_cas = 0
     IF (ierr/=nf90_noerr) THEN
-       stop 'Oh probleme lecture dimension time'
-    ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
-    PRINT*,'OK4 read2: nid,rid,nt_cas',nid,rid,nt_cas
+      stop 'Oh probleme lecture dimension time'
+    ENDIF
+    ierr = nf90_inquire_dimension(nid, rid, len = nt_cas)
+    PRINT*, 'OK4 read2: nid,rid,nt_cas', nid, rid, nt_cas
     ! Lecture de l'axe des temps
-    PRINT*,'LECTURE DU TEMPS'
-    ierr=nf90_inq_varid(nid,'time',timeid)
+    PRINT*, 'LECTURE DU TEMPS'
+    ierr = nf90_inq_varid(nid, 'time', timeid)
     IF(ierr/=nf90_noerr) THEN
-       print *,'Variable time manquante dans cas.nc:'
-       ierr=nf90_noerr
+      print *, 'Variable time manquante dans cas.nc:'
+      ierr = nf90_noerr
     else
-       allocate(time_val(nt_cas))
-       ierr = nf90_get_var(nid,timeid,time_val)
-       IF(ierr/=nf90_noerr) THEN
-          print *,'Pb a la lecture de time cas.nc: '
-       endif
+      allocate(time_val(nt_cas))
+      ierr = nf90_get_var(nid, timeid, time_val)
+      IF(ierr/=nf90_noerr) THEN
+        print *, 'Pb a la lecture de time cas.nc: '
+      endif
     endif
     IF (nt_cas>1) THEN
-       pdt_cas=time_val(2)-time_val(1)
+      pdt_cas = time_val(2) - time_val(1)
     ELSE
-       pdt_cas=0.
-    ENDIF
-
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      pdt_cas = 0.
+    ENDIF
+
+
+    !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     !profils moyens:
-    allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
-    allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
-    allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
-         qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
-    allocate(th_cas(nlev_cas,nt_cas),thl_cas(nlev_cas,nt_cas),thv_cas(nlev_cas,nt_cas),rv_cas(nlev_cas,nt_cas))
-    allocate(u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas),vitw_cas(nlev_cas,nt_cas),omega_cas(nlev_cas,nt_cas))
+    allocate(plev_cas(nlev_cas, nt_cas), plevh_cas(nlev_cas + 1))
+    allocate(z_cas(nlev_cas, nt_cas), zh_cas(nlev_cas + 1))
+    allocate(ap_cas(nlev_cas + 1), bp_cas(nlev_cas + 1))
+    allocate(t_cas(nlev_cas, nt_cas), q_cas(nlev_cas, nt_cas), qv_cas(nlev_cas, nt_cas), ql_cas(nlev_cas, nt_cas), &
+            qi_cas(nlev_cas, nt_cas), rh_cas(nlev_cas, nt_cas))
+    allocate(th_cas(nlev_cas, nt_cas), thl_cas(nlev_cas, nt_cas), thv_cas(nlev_cas, nt_cas), rv_cas(nlev_cas, nt_cas))
+    allocate(u_cas(nlev_cas, nt_cas), v_cas(nlev_cas, nt_cas), vitw_cas(nlev_cas, nt_cas), omega_cas(nlev_cas, nt_cas))
 
     !forcing
-    allocate(ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas),dt_cas(nlev_cas,nt_cas),dtrad_cas(nlev_cas,nt_cas))
-    allocate(hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas),dq_cas(nlev_cas,nt_cas))
-    allocate(hth_cas(nlev_cas,nt_cas),vth_cas(nlev_cas,nt_cas),dth_cas(nlev_cas,nt_cas))
-    allocate(hr_cas(nlev_cas,nt_cas),vr_cas(nlev_cas,nt_cas),dr_cas(nlev_cas,nt_cas))
-    allocate(hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas),du_cas(nlev_cas,nt_cas))
-    allocate(hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas),dv_cas(nlev_cas,nt_cas))
-    allocate(ug_cas(nlev_cas,nt_cas))
-    allocate(vg_cas(nlev_cas,nt_cas))
-    allocate(lat_cas(nt_cas),sens_cas(nt_cas),ts_cas(nt_cas),ps_cas(nt_cas),ustar_cas(nt_cas),tke_cas(nt_cas))
-    allocate(uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas),q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas))
+    allocate(ht_cas(nlev_cas, nt_cas), vt_cas(nlev_cas, nt_cas), dt_cas(nlev_cas, nt_cas), dtrad_cas(nlev_cas, nt_cas))
+    allocate(hq_cas(nlev_cas, nt_cas), vq_cas(nlev_cas, nt_cas), dq_cas(nlev_cas, nt_cas))
+    allocate(hth_cas(nlev_cas, nt_cas), vth_cas(nlev_cas, nt_cas), dth_cas(nlev_cas, nt_cas))
+    allocate(hr_cas(nlev_cas, nt_cas), vr_cas(nlev_cas, nt_cas), dr_cas(nlev_cas, nt_cas))
+    allocate(hu_cas(nlev_cas, nt_cas), vu_cas(nlev_cas, nt_cas), du_cas(nlev_cas, nt_cas))
+    allocate(hv_cas(nlev_cas, nt_cas), vv_cas(nlev_cas, nt_cas), dv_cas(nlev_cas, nt_cas))
+    allocate(ug_cas(nlev_cas, nt_cas))
+    allocate(vg_cas(nlev_cas, nt_cas))
+    allocate(lat_cas(nt_cas), sens_cas(nt_cas), ts_cas(nt_cas), ps_cas(nt_cas), ustar_cas(nt_cas), tke_cas(nt_cas))
+    allocate(uw_cas(nlev_cas, nt_cas), vw_cas(nlev_cas, nt_cas), q1_cas(nlev_cas, nt_cas), q2_cas(nlev_cas, nt_cas))
 
 
